# group_type.h File Reference

Types of a group. More...

Go to the source code of this file.

## Typedefs
typedef uint16 | GroupID
## Enumerations
enum | { ALL_GROUP = 0xFFFD, DEFAULT_GROUP = 0xFFFE, INVALID_GROUP = 0xFFFF, MAX_LENGTH_GROUP_NAME_BYTES = 31, MAX_LENGTH_GROUP_NAME_PIXELS = 150 }

## Detailed Description

Types of a group.

Definition in file group_type.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  DEFAULT_GROUP | ungrouped vehicles are in this group.
  MAX_LENGTH_GROUP_NAME_BYTES | The maximum length of a group name in bytes including ''.
  MAX_LENGTH_GROUP_NAME_PIXELS | The maximum length of a group name in pixels.

Definition at line 10 of file group_type.h.